package com.dskj.znzn.transData.common.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

@ApiModel(description = "分页信息")
@Data
public class PageInfo {

    @ApiModelProperty(value = "查询页码", example = "1")
    @Min(value = 1)
    private long pageNo;

    @ApiModelProperty(value = "每页条数", example = "10")
    @Min(value = 1)
    @Max(value = 100)
    private long pageSize;

    @ApiModelProperty(value = "排序规则")
    private String orderBy;

    @ApiModelProperty(name = "是否正序 false:否 true:是")
    private Boolean isAsc;

}
