package com.dskj.znzn.transData.common.base;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(description = "分页返回结果")
@Data
public class PageR<T> {

    private int code;
    private String message;
    @ApiModelProperty(value = "总页码")
    private long totalPage;
    @ApiModelProperty(value = "总条数")
    private long totalCount;
    private List<T> datas;

    public PageR(long totalPage, long totalCount, List<T> datas) {
        this.code = 200;
        this.message = "success";
        this.totalCount = totalCount;
        this.totalPage = totalPage;
        this.datas = datas;
    }

    public static <T> PageR<T> page(long totalPage, long totalCount, List<T> datas) {
        return new PageR(totalPage, totalCount, datas);
    }

    public static <T> PageR<T> page(IPage<T> page, List<T> datas) {
        return new PageR(page.getPages(), page.getTotal(), datas);
    }


    public static <T> PageR<T> page(IPage<T> page) {
        return new PageR(page.getPages(), page.getTotal(), page.getRecords());
    }

}
