package com.dskj.znzn.transData.common.base;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Collection;

@ApiModel(description = "返回结果")
@Data
public class R<T> {

    private int code;
    private String message;
    private T datas;
    private long total;

    public R(int code, String message, T datas) {
        this.code = code;
        this.message = message;
        this.datas = datas;
    }

    public R(int code, String message, T datas,long total) {
        this.code = code;
        this.message = message;
        this.datas = datas;
        this.total = total;
    }

    public static R ok() {
        return ok(200, "success", null);
    }

    public static <T> R<T> ok(T datas) {
        return ok(200, "success", datas);
    }

    public static <T> R<T> ok(String message, T datas) {
        return ok(200, message, datas);
    }


    public static <T> R<T> ok(int code, String message, T datas) {
        if (datas instanceof Collection) {
            return new R(code, message, datas,((Collection) datas).size());
        }
        return new R(code, message, datas);
    }

    public static R error() {
        return error(500, "fail");
    }

    public static R error(String message) {
        return error(500, message);
    }


    public static R error(int code, String message) {
        return new R(code, message, null);
    }

}
