package com.dskj.znzn.transData.web.common.controller;

import com.dskj.znzn.transData.common.base.R;
import com.dskj.znzn.transData.web.common.entity.SysConf;
import com.dskj.znzn.transData.web.common.service.ISysConfService;
import com.dtflys.forest.annotation.Get;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
@RestController
@RequestMapping("/sysConf")
@Api(tags = {"系统配置"})
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
public class SysConfController {

    private final ISysConfService sysConfService;

    @ApiOperation("获取系统配置")
    @GetMapping("/getByType")
    public R<List<SysConf>> getByType(@Valid @NotBlank String type) {
        return R.ok(sysConfService.getByType(type));
    }

    @ApiOperation("获取配置名称")
    @GetMapping("/getTypeName")
    public R<List<SysConf>> getTypeName() {
        return R.ok(sysConfService.getTypeName());
    }

    @ApiOperation("刷新配置")
    @GetMapping("/flushConf")
    public R flushConf() {
        sysConfService.flushConf();
        return R.ok();
    }
}
