package com.dskj.znzn.transData.web.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dskj.znzn.transData.web.common.entity.SysConf;
import com.dskj.znzn.transData.web.common.mapper.SysConfMapper;
import com.dskj.znzn.transData.web.common.service.ISysConfService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
public class SysConfServiceImpl extends ServiceImpl<SysConfMapper, SysConf> implements ISysConfService {

    public static Map<String, String> sysMap = new HashMap<>();

    @Override
    public List<SysConf> getByType(String type) {
        LambdaQueryWrapper<SysConf> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(SysConf::getType, type).eq(SysConf::getStatus, 1);
        return list(wrapper);
    }

    @Override
    public List<SysConf> getTypeName() {
        LambdaQueryWrapper<SysConf> wrapper = Wrappers.lambdaQuery();
        wrapper.select(SysConf::getType, SysConf::getTypeName).eq(SysConf::getStatus, 1)
                .groupBy(Arrays.asList(SysConf::getType, SysConf::getTypeName));
        return list(wrapper);
    }

    @Override
    public String getValueByType(String type, String paramKey) {
        if (sysMap.size() <= 1 || System.currentTimeMillis() - Long.parseLong(sysMap.get("lastTime")) > 600000
                || !sysMap.containsKey(type + "__" + paramKey)) {
            LambdaQueryWrapper<SysConf> wrapper = Wrappers.lambdaQuery();
            wrapper.eq(SysConf::getStatus, 1);
            list(wrapper).forEach(sysConf -> sysMap.put(sysConf.getType() + "__" + sysConf.getParamKey(), sysConf.getParamValue()));
            sysMap.put("lastTime", System.currentTimeMillis() + "");
        }

        return sysMap.get(type + "__" + paramKey);
    }

    @Override
    public void flushConf() {
        sysMap = new HashMap<>();
    }
}
