package com.dskj.znzn.transData.web.dataTransfer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 数据操作
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
@Getter
@Setter
@TableName("data_transfer")
@ApiModel(value = "DataTransfer对象", description = "数据操作 ")
public class DataTransfer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("导入任务名称")
    private String taskName;

    @ApiModelProperty("风场编号")
    private String windFarmCode;

    @ApiModelProperty("风场名称")
    private String windFarmName;

    @ApiModelProperty("机组数量")
    private Integer engineCount;

    @ApiModelProperty("转换类型")
    private String transferType;

    @ApiModelProperty("数据文件读取路径")
    private String readDir;

    @ApiModelProperty("归档路径")
    private String archivePath;

    @ApiModelProperty("收资人")
    private String dataCollector;

    @ApiModelProperty("时间粒度（以秒为单位）")
    private Integer timeGranularity;

    @ApiModelProperty("异常信息")
    private String errInfo;

    @ApiModelProperty("导入状态(-1：等待中 0-导入中 1-导入成功 2-导入失败)")
    private Integer transferStatus;

    @ApiModelProperty("转化系统的状态值")
    private Integer transSysStatus;

    @ApiModelProperty("转化后数据总条数")
    private Long transferDataCount;

    @ApiModelProperty("数据中最小时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataMinTime;

    @ApiModelProperty("数据中最大时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataMaxTime;

    @ApiModelProperty("数据开始转化的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date transferStartTime;

    @ApiModelProperty("转换完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date transferFinishTime;

    @ApiModelProperty("转换进度")
    private BigDecimal transferProgress;

    @ApiModelProperty("0:不可用 1:可用")
    private Integer status;

    @ApiModelProperty("创建人")
    private Integer createBy;

    @ApiModelProperty("是否是高优先级, 0:否 1:是")
    private Integer isHighPriority;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新人")
    private Integer updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty("转换类型名称")
    @TableField(exist = false)
    private String transferTypeName;
}
