package com.dskj.znzn.transData.web.dataTransfer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 每日采集数据表
 * </p>
 *
 * @author 魏志亮
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("wind_farm_day_count")
@ApiModel(value = "WindFarmDayCount对象", description = "每日采集数据表")
public class WindFarmDayCount implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("风场编号")
    private String windFarmCode;

    @ApiModelProperty("风场名称")
    private String windFarmName;

    @ApiModelProperty("统计时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date addDate;

    @ApiModelProperty("类型:minute,second")
    private String type;

    @ApiModelProperty("数量")
    private Integer count;

    @ApiModelProperty("同步状态 0 : 未同步 1:已同步")
    private Integer syncStatus;

    @ApiModelProperty("0:未删除 1:已删除")
    private Integer delStatus;

    @ApiModelProperty("最近数据采集的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date latestDataTime;

    @ApiModelProperty("最近更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty("类型名称")
    @TableField(exist = false)
    private String typeName;

}
