package com.dskj.znzn.transData.web.dataTransfer.outData;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class HistoryDataSummaryOutData {

    @ApiModelProperty("风场编号")
    private String windFarmCode;

    @ApiModelProperty("风场名称")
    private String windFarmName;

    @ApiModelProperty("类型:minute,second")
    private String type;

    @ApiModelProperty("总数量")
    private Long totalDataCount;

    @ApiModelProperty("总天数")
    private Integer totalDays;

    @ApiModelProperty("最近采集到数据的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date latestDataTime;

    @ApiModelProperty("最近数据采集的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty("类型名称")
    private String typeName;

    @ApiModelProperty("可分析状态 0:不可分析 1:可分析")
    private Integer canAnalysis;
}
