package com.dskj.znzn.transData.web.dataTransfer.service;

import com.dskj.znzn.transData.common.base.PageR;
import com.dskj.znzn.transData.web.dataTransfer.entity.DataTransfer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.transData.web.dataTransfer.inData.AddDataTransferTaskInData;
import com.dskj.znzn.transData.web.dataTransfer.inData.EditDataTransferTaskInData;
import com.dskj.znzn.transData.web.dataTransfer.inData.GetDataTransferInData;
import com.dskj.znzn.transData.web.dataTransfer.inData.GetTimeRangeInData;
import com.dskj.znzn.transData.web.dataTransfer.outData.*;

import java.util.List;

/**
 * <p>
 * 数据操作  服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
public interface IDataTransferService extends IService<DataTransfer> {

    PageR<DataTransfer> getDataTransfer(GetDataTransferInData data);

    void addDataTransferTask(AddDataTransferTaskInData data);

    void editDataTransferTask(EditDataTransferTaskInData data);

    void reTransfer(Integer id);

    void deleteDataTransferTask(Integer id);

    List<GetTimeRangeOutData> getTimeRange(GetTimeRangeInData data);

    GetStatisticalOutData getStatisticalData();

    DataTransfer recentlyImportedSuccessfulData();

    List<ClassificationImportDataDetailsOutData> classificationImportDataDetails();

    List<DataTransfer> recentlyImportedSuccessful5Data();

    List<PltIndexMoreOutData> pltIndexMore();

    void increaseOrGiveUpPriority(Integer id);

    Long highPriorityCount();

}
