package com.dskj.znzn.transData.web.laserData.controller;

import com.dskj.znzn.transData.common.base.R;
import com.dskj.znzn.transData.web.laserData.entity.LaserData;
import com.dskj.znzn.transData.web.laserData.indata.GetLaserDataInData;
import com.dskj.znzn.transData.web.laserData.service.ILaserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 激光数据 前端控制器
 * </p>
 *
 * @author 魏志亮
 * @since 2024-12-12
 */
@RestController
@RequestMapping("/laserData")
@Api(tags = {"激光数据接口"})
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
public class LaserDataController {

    public final ILaserService iLaserService;

    @PostMapping({"getLaserData"})
    @ApiOperation("获取激光数据")
    public R<List<LaserData>> getLaserData(@RequestBody @Valid GetLaserDataInData inData) {
        return R.ok(iLaserService.getLaserData(inData));
    }

}
