package com.dskj.znzn.transData.web.laserData.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 激光数据
 * </p>
 *
 * @author 魏志亮
 * @since 2024-12-12
 */
@Getter
@Setter
@ApiModel(value = "Laser对象", description = "激光数据")
public class LaserData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("风机编号")
    private String windTurbineNumber;

    @ApiModelProperty("采样时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date acquisitionTime;

    @ApiModelProperty("采样率")
    private Integer samplingFrequency;

//    @ApiModelProperty("数据包号")
//    private Integer pkNo;
//
//    @ApiModelProperty("回波数，值为0 或者1或者2，0表示0回波，1表示1回波，2表示2回波")
//    private Integer echoType;
//
//    @ApiModelProperty("第1回波测距值，保留小数点后3位")
//    private String echo1Dist;
//
//    @ApiModelProperty("第1回波灰度值（光强度）")
//    private String echo1Grey;
//
//    @ApiModelProperty("第2回波测距值，保留小数点后3位")
//    private String echo2Dist;
//
//    @ApiModelProperty("第2回波灰度值（光强度）")
//    private String echo2Grey;
//
//    @ApiModelProperty("第3回波测距值，保留小数点后3位")
//    private String echo3Dist;
//
//    @ApiModelProperty("第3回波灰度值（光强度）")
//    private String echo3Grey;

    @ApiModelProperty("叶片1角度偏差")
    private Double blade1AngleDeviation;

    @ApiModelProperty("叶片2角度偏差")
    private Double blade2AngleDeviation;

    @ApiModelProperty("叶片3角度偏差")
    private Double blade3AngleDeviation;

    @ApiModelProperty("叶片角度偏差-相对偏差")
    private Double bladeRelativeAngleDeviation;

    @ApiModelProperty("叶片1净空值")
    private Double blade1ClearanceValue;

    @ApiModelProperty("叶片2净空值")
    private Double blade2ClearanceValue;

    @ApiModelProperty("叶片3净空值")
    private Double blade3ClearanceValue;

    @ApiModelProperty("叶片净空值-平均")
    private Double bladeRelativeClearanceValue;

    @ApiModelProperty("叶片1扭转变形")
    private Double blade1TorsionalDeformation;

    @ApiModelProperty("叶片2扭转变形")
    private Double blade2TorsionalDeformation;

    @ApiModelProperty("叶片3扭转变形")
    private Double blade3TorsionalDeformation;

    @ApiModelProperty("叶片扭转变形-平均")
    private Double bladeRelativeTorsionalDeformation;

    @ApiModelProperty("塔筒晃动-晃动幅值")
    private Integer towerSwayAmplitude;

    @ApiModelProperty("塔筒晃动-晃动主频")
    private Double towerSwayMainFrequency;

    @ApiModelProperty("叶片采集频率(HZ)")
    private String bladeCollectionFrequency;

    @ApiModelProperty("塔筒采集频率(HZ)")
    private String towerCollectionFrequency;

//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    private Date createTime;
//
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    private Date updateTime;
}
