
package com.dskj.znzn.transData.web.laserData.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel("激光数据")
@Data
public class GetLaserDataInData {

    @ApiModelProperty("风场编号")
    @NotBlank(message = "风场编号不能为空")
    private String windCode;

    @ApiModelProperty("风机编号")
    @NotBlank(message = "必须选择风机")
    private String windTurbineNumber;

    @ApiModelProperty("开始时间,yyyy-MM-dd HH:mm:ss")
    @NotBlank(message = "开始时间不能为空")
    private String startTime;

    @ApiModelProperty("结束时间,yyyy-MM-dd hh:mm:ss")
    @NotBlank(message = "结束时间不能为空")
    private String endTime;

}
