package com.dskj.znzn.transData.web.laserData.service.impl;

import com.dskj.znzn.transData.common.exception.BusinessException;
import com.dskj.znzn.transData.web.laserData.entity.LaserData;
import com.dskj.znzn.transData.web.laserData.indata.GetLaserDataInData;
import com.dskj.znzn.transData.web.laserData.mapper.LaserDataMapper;
import com.dskj.znzn.transData.web.laserData.service.ILaserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 激光数据 服务实现类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-12-12
 */
@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
public class LaserServiceImpl extends ServiceImpl<LaserDataMapper, LaserData> implements ILaserService {

    private final LaserDataMapper laserDataMapper;

    @Override
    public List<LaserData> getLaserData(GetLaserDataInData inData) {
        if (inData.getWindCode().contains(" ")) {
            throw new BusinessException("风场参数异常");
        } else {
            return laserDataMapper.getLaserData(inData.getWindCode() + "_laser", inData.getWindTurbineNumber(),
                    inData.getStartTime(), inData.getEndTime());
        }

    }
}
