package com.dskj.znzn.transData.web.transConf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author 魏志亮
 * @since 2024-07-08
 */
@Getter
@Setter
@TableName("trans_conf")
@ApiModel(value = "TransConf对象", description = "")
public class TransConf implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("风场编号")
    private String windCode;

    @ApiModelProperty("风场名称")
    private String windName;

    @ApiModelProperty("分析类型")
    private String type;

    @ApiModelProperty("是否是竖表")
    private Boolean isVerticalTable;

    @ApiModelProperty("是否需要合并列")
    private Boolean mergeColumns;

    @ApiModelProperty("竖表需要读取的字段,逗号分隔")
    private String verticalReadCols;

    @ApiModelProperty("竖表索引列,一般是 时间和风机号")
    private String verticalIndexCols;

    @ApiModelProperty("竖表取的列名")
    private String verticalColKey;

    @ApiModelProperty("竖表取的数值")
    private String verticalColValue;

    @ApiModelProperty("处理列明前缀")
    private String resolveColPrefix;

    @ApiModelProperty("风机名称代码处理")
    private String windNameExec;

    @ApiModelProperty("开始读取的行数,excel显示的行数-1")
    private Integer beginHeader;

    @ApiModelProperty("风机编号")
    private String windTurbineNumber;

    @ApiModelProperty("时间")
    private String timeStamp;

    @ApiModelProperty("有功功率")
    private String activePower;

    @ApiModelProperty("风轮转速")
    private String rotorSpeed;

    @ApiModelProperty("发电机转速")
    private String generatorSpeed;

    @ApiModelProperty("风速")
    private String windVelocity;

    @ApiModelProperty("桨距角1")
    @TableField(value = "pitch_angle_blade_1")
    private String pitchAngleBlade1;

    @ApiModelProperty("桨距角2")
    @TableField(value = "pitch_angle_blade_2")
    private String pitchAngleBlade2;

    @ApiModelProperty("桨距角3")
    @TableField(value = "pitch_angle_blade_3")
    private String pitchAngleBlade3;

    @ApiModelProperty("机舱位置")
    private String cabinPosition;

    @ApiModelProperty("绝对风向")
    private String trueWindDirection;

    @ApiModelProperty("对风角度")
    private String yawError1;

    @ApiModelProperty("扭缆角度")
    private String twistedCableAngle;

    @ApiModelProperty("主轴承轴承温度")
    private String mainBearingTemperature;

    @ApiModelProperty("齿轮箱油温")
    private String gearboxOilTemperature;

    @ApiModelProperty("齿轮箱低速轴轴承温度")
    private String gearboxLowSpeedShaftBearingTemperature;

    @ApiModelProperty("齿轮箱中速轴轴承温度")
    private String gearboxmediumSpeedShaftbearingTemperature;

    @ApiModelProperty("齿轮箱高速轴轴承温度")
    private String gearboxHighSpeedShaftBearingTemperature;

    @ApiModelProperty("发电机驱动端轴承温度")
    private String generatordriveEndBearingTemperature;

    @ApiModelProperty("发电机非驱动端轴承温度")
    private String generatornonDriveEndBearingTemperature;

    @ApiModelProperty("机舱内温度")
    private String cabinTemperature;

    @ApiModelProperty("环境温度")
    private String outsideCabinTemperature;

    @ApiModelProperty("发电机绕组1温度")
    private String generatorWinding1Temperature;

    @ApiModelProperty("发电机绕组2温度")
    private String generatorWinding2Temperature;

    @ApiModelProperty("发电机绕组3温度")
    private String generatorWinding3Temperature;

    @ApiModelProperty("机舱前后振动")
    private String frontBackVibrationOfTheCabin;

    @ApiModelProperty("机舱左右振动")
    private String sideToSideVibrationOfTheCabin;

    @ApiModelProperty("齿轮箱转速")
    private String requiredGearboxSpeed;

    @ApiModelProperty("变频器转速(主控)")
    private String inverterSpeedMasterControl;

    @ApiModelProperty("实际力矩")
    private String actualTorque;

    @ApiModelProperty("给定力矩")
    private String givenTorque;

    @ApiModelProperty("顺时针偏航次数")
    private String clockwiseYawCount;

    @ApiModelProperty("逆时针偏航次数")
    private String counterclockwiseYawCount;

    @ApiModelProperty("不可利用")
    private String unusable;

    @ApiModelProperty("功率曲线可用")
    private String powerCurveAvailable;

    @ApiModelProperty("有功功率设定值")
    private String setValueOfActivePower;

    @ApiModelProperty("风机状态1")
    private String windTurbineStatus;

    @ApiModelProperty("风机状态2")
    private String windTurbineStatus2;

    @ApiModelProperty("湍流强度")
    private String turbulenceIntensity;

    @ApiModelProperty("预留字段(浮点型)")
    private String param1;

    @ApiModelProperty("预留字段(浮点型)")
    private String param2;

    @ApiModelProperty("预留字段(浮点型)")
    private String param3;

    @ApiModelProperty("预留字段(浮点型)")
    private String param4;

    @ApiModelProperty("预留字段(浮点型)")
    private String param5;

    @ApiModelProperty("预留字段(字符型)")
    private String param6;

    @ApiModelProperty("预留字段(字符型)")
    private String param7;

    @ApiModelProperty("预留字段(字符型)")
    private String param8;

    @ApiModelProperty("预留字段(字符型)")
    private String param9;

    @ApiModelProperty("预留字段(字符型)")
    private String param10;

    @ApiModelProperty("0:不可用 1:可用")
    private Integer status;
}
