package com.dskj.znzn.transData.web.transConf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dskj.znzn.transData.common.base.PageInfo;
import com.dskj.znzn.transData.common.base.PageR;
import com.dskj.znzn.transData.web.transConf.entity.TransConf;
import com.dskj.znzn.transData.web.transConf.indata.InsertOrUpdateInData;
import com.dskj.znzn.transData.web.transConf.mapper.TransConfMapper;
import com.dskj.znzn.transData.web.transConf.outdata.TransConfForPlt;
import com.dskj.znzn.transData.web.transConf.service.ITransConfService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-07-08
 */
@Service
public class TransConfServiceImpl extends ServiceImpl<TransConfMapper, TransConf> implements ITransConfService {

    @Override
    public TransConf getByWindCodeAndType(String windCode, String type) {
        LambdaQueryWrapper<TransConf> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(TransConf::getWindCode, windCode).eq(TransConf::getType, type).eq(TransConf::getStatus, 1);
        return getOne(wrapper);
    }

    @Override
    public TransConfForPlt getByWindCodeAndTypeForPlt(String windCode, String type) {
        TransConf transConf = getByWindCodeAndType(windCode, type);
        if (null != transConf) {
            TransConfForPlt plt = new TransConfForPlt();
            BeanUtils.copyProperties(transConf, plt);
            return plt;
        }
        return null;
    }

    @Override
    public void insertOrUpdate(InsertOrUpdateInData insertOrUpdateInData) {
        insertOrUpdateInData.setId(null);
        TransConf transConf = getByWindCodeAndType(insertOrUpdateInData.getWindCode(), insertOrUpdateInData.getType());
        if (null != transConf) {
            insertOrUpdateInData.setId(transConf.getId());
            updateById(insertOrUpdateInData);
        } else {
            save(insertOrUpdateInData);
        }
    }

    @Override
    public PageR<TransConf> listPage(PageInfo info) {
        Page<TransConf> queryPage = Page.of(info.getPageNo(), info.getPageSize());
        Page<TransConf> pageInfo = page(queryPage);
        return PageR.page(pageInfo, queryPage.getRecords());
    }
}
