
package com.dskj.znzn.transData.web.waveData.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@TableName("wave_data")
@ApiModel("震动数据")
@Data
public class WaveData implements Serializable {

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("风机编号")
    private String windTurbineNumber;

    @ApiModelProperty("原始风机编号")
    private String windTurbineName;

    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeStamp;

    @ApiModelProperty("转速")
    private Float rotationalSpeed;

    @ApiModelProperty("分析频率")
    private String samplingFrequency;

    @ApiModelProperty("测点名称")
    private String mesurePointName;

    @ApiModelProperty("测点数据")
    private String mesureData;

}
