
package com.dskj.znzn.transData.web.waveData.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel
@Data
public class GetMesureDataInData {

    @ApiModelProperty("风场编号")
    @NotBlank(message = "风场编号不能为空")
    private String windCode;

    @ApiModelProperty("风机编号,数组")
    @NotEmpty(message = "必须选择风机")
    private List<String> windTurbineNumberList;

    @ApiModelProperty("开始时间,yyyy-MM-dd HH:mm:ss")
    @NotBlank(message = "开始时间不能为空")
    private String startTime;

    @ApiModelProperty("结束时间,yyyy-MM-dd hh:mm:ss")
    @NotBlank(message = "结束时间不能为空")
    private String endTime;

    @ApiModelProperty("测点,数组")
    @NotEmpty(message = "必须选择测点")
    private List<String> mesureNameList;
}
