package com.dskj.znzn.transData.web.waveData.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dskj.znzn.transData.web.waveData.entity.WaveData;
import com.dskj.znzn.transData.web.waveData.indata.GetMesureWithSFDataInData;
import com.dskj.znzn.transData.web.waveData.outdata.ItemOutData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WaveDataMapper extends BaseMapper<WaveData> {

    List<WaveData> getMesureData(String windCode, List<String> windTurbineNumberList, String startTime, String endTime, List<String> mesureNameList);

    WaveData getById(String windCode, Integer id);

    Page<WaveData> getMesureDataWithSF(Page<WaveData> page, GetMesureWithSFDataInData inData);

    List<String> getAllSamplingFrequency(String windCode);


    List<String> getWindTurbineNumberSamplingFrequency(String windCode, String windTurbineNumber);

    List<ItemOutData> getWindTurbineNumberMesurePointName(String windCode, String windTurbineNumber);
}
